librcsb-core-wrapper0_1.005-6_amd64.deb


Advertisement

Description

librcsb-core-wrapper0 - C++ library providing OO API to information in mmCIF format

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Universe amd64
Package filename librcsb-core-wrapper0_1.005-6_amd64.deb
Package name librcsb-core-wrapper0
Package version 1.005
Package release 6
Package architecture amd64
Package type deb
Category universe/libs
Homepage http://sw-tools.rcsb.org/apps/CORE-WRAPPER/index.html
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 282.19 KB
Installed size 976.00 KB
The RCSB Core Wrapper library was developed to provide an object-oriented
application interface to information in mmCIF format. It includes several
classes for accessing data dictionaries and mmCIF format data files.
This package contains the shared library.

Alternatives

Package Version Architecture Repository
librcsb-core-wrapper0_1.005-6_i386.deb 1.005 i386 Ubuntu Universe
librcsb-core-wrapper0 - - -

Requires

Name Value
libc6 >= 2.14
libgcc1 >= 1:3.0
libstdc++6 >= 5.2
libxerces-c3.2 -

Download

Type URL
Mirror archive.ubuntu.com
Binary Package librcsb-core-wrapper0_1.005-6_amd64.deb
Source Package librcsb-core-wrapper

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install librcsb-core-wrapper0 deb package:
    # sudo apt-get install librcsb-core-wrapper0

Files

Path
/usr/lib/librcsb-core-wrapper.so.0
/usr/lib/librcsb-core-wrapper.so.0.0.1
/usr/share/doc/librcsb-core-wrapper0/changelog.Debian.gz
/usr/share/doc/librcsb-core-wrapper0/copyright
/usr/share/lintian/overrides/librcsb-core-wrapper0

Changelog

2019-01-18 - Michael R. Crusoe <michael.crusoe@gmail.com>
librcsb-core-wrapper (1.005-6) unstable; urgency=medium
* Team uploade
[ Andreas Tille ]
* Drop unneeded get-orig-source target
* Fix build error with gcc-8
Closes: #897795
* Point Vcs fields to salsa.debian.org
* Standards-Version: 4.2.1
* Testsuite: autopkgtest-pkg-python
* No Priority: extra
* Drop ancient field X-Python-Version
[ Michael R. Crusoe ]
* Adapt patches for latest boost version
* debian/watch: use secure HTTPS URL
* Standards-Version: 4.3.0, no changes needed
* Remove trailing whitespace in debian/copyright
* Remove trailing whitespace in debian/rules
2017-11-07 - Andreas Tille <tille@debian.org>
librcsb-core-wrapper (1.005-5) unstable; urgency=medium
* Enable build against libxerces-c3.2
* Moved packaging from SVN to Git
* Standards-Version: 4.1.1
* debhelper 10
* Remove -dbg packages since debug packages are autogenerated
* DEP5
* hardening=+all
* remove useless autogenerated doxygen files
2015-07-10 - Andreas Tille <tille@debian.org>
librcsb-core-wrapper (1.005-4) unstable; urgency=medium
* cme fix dpkg-control
* Fix GCC version detection (thanks for the patch to Matthias Klose
<doko@debian.org>)
Closes: #777971
2015-02-14 - Andreas Tille <tille@debian.org>
librcsb-core-wrapper (1.005-3) unstable; urgency=medium
* Patch for Henry Spencer regular expressions (regex) library contains
a heap overflow vulnerability
Closes: #778397
2014-09-18 - Laszlo Kajan <lkajan@debian.org>
librcsb-core-wrapper (1.005-2) unstable; urgency=medium
* Added libtool-bin as a build-dep (Closes: #761768).
2014-07-29 - Andreas Tille <tille@debian.org>
librcsb-core-wrapper (1.005-1) unstable; urgency=medium
* New upstream version
* cme fix dpkg-control
* debhelper 9
* simplified d/rules
2013-09-30 - Laszlo Kajan <lkajan@rostlab.org>
librcsb-core-wrapper (1.000-3) unstable; urgency=low
* Fixed make test "missing target" error (Closes: #724151).
2012-09-19 - Laszlo Kajan <lkajan@rostlab.org>
librcsb-core-wrapper (1.000-2) unstable; urgency=low
* Corrected to install rcsb/ dir into -dev package instead of include/ dir.
* Patched upstream to not try to remove "/dev/null" log file.
* Changed interpreter of wrapper/python/setup.py.in from
#!/usr/bin/env python to #!/usr/bin/python
2012-08-10 - Laszlo Kajan <lkajan@rostlab.org>
librcsb-core-wrapper (1.000-1) unstable; urgency=low
[ Laszlo Kajan <lkajan@rostlab.org> ]
* Initial release in Debian (Closes: #684403)

See Also

Package Description
librda-bin_0.0.5-1_amd64.deb Remote Desktop Awareness (utility)
librda-common_0.0.5-1_all.deb Remote Desktop Awareness (common files)
librda-dev_0.0.5-1_amd64.deb Remote Desktop Awareness (development headers)
librda0_0.0.5-1_amd64.deb Remote Desktop Awareness (shared library)
librdf-acl-perl_0.104-1_all.deb access control lists for the semantic web
librdf-aref-perl_0.27-2_all.deb another RDF Encoding Form
librdf-closure-perl_0.001-4_all.deb pure Perl RDF inferencing
librdf-doap-lite-perl_0.002-1_all.deb write DOAP data quickly and easily
librdf-doap-perl_0.100-1_all.deb object-oriented interface for DOAP data
librdf-endpoint-perl_0.10-2_all.deb SPARQL Protocol Endpoint implementation
librdf-generator-http-perl_0.003-2_all.deb Perl module to generate RDF from an HTTP request
librdf-generator-void-perl_0.16-3_all.deb generate VoID descriptions based on data in an RDF model
librdf-helper-properties-perl_0.24-1_all.deb shortcuts to retrieve certain information
librdf-icalendar-perl_0.005-1_all.deb convert between RDF and iCalendar
librdf-kml-exporter-perl_0.003-1_all.deb export RDF geo data to KML (Google Earth)
Advertisement
Advertisement